package intrinsic.mx.messaging;

public class AbstractProducer extends intrinsic.mx.messaging.MessageAgent {

	/** Accessors */
	public Object defaultHeaders;
	public int reconnectInterval;
	public int reconnectAttempts;
	public boolean autoConnect;
	public intrinsic.mx.messaging.AbstractMessageStore messageStore;

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public AbstractProducer() {
}


/** Static Methods */

/** Methods */
public native void fault(intrinsic.mx.messaging.messages.ErrorMessage arg0, intrinsic.mx.messaging.messages.IMessage arg1);
public native void connect();
public native void send(intrinsic.mx.messaging.messages.IMessage arg0);
public native void channelDisconnectHandler(intrinsic.mx.messaging.events.ChannelEvent arg0);
public native void acknowledge(intrinsic.mx.messaging.messages.AcknowledgeMessage arg0, intrinsic.mx.messaging.messages.IMessage arg1);
public native void channelFaultHandler(intrinsic.mx.messaging.events.ChannelFaultEvent arg0);
public native void disconnect();

}
